CVE-2016-5636: zipimporter overflow

Heap overflow in zipimporter module.

  • Disclosure date: 2016-01-21 (Python issue #26171 reported)

Fixed In

Vulnerable Versions

  • Python 3.3

Python issue

heap overflow in zipimporter module.

  • Python issue: issue #26171
  • Creation date: 2016-01-21
  • Reporter: Insu Yun

CVE-2016-5636

Integer overflow in the get_data function in zipimport.c in CPython (aka Python) before 2.7.12, 3.x before 3.4.5, and 3.5.x before 3.5.2 allows remote attackers to have unspecified impact via a negative data size value, which triggers a heap-based buffer overflow.

Timeline

Timeline using the disclosure date 2016-01-21 as reference:

  • 2016-01-21: Python issue #26171 reported by Insu Yun
  • 2016-01-21 (+0 days): commit 64ea192
  • 2016-01-21 (+0 days): commit c4032da
  • 2016-06-27 (+158 days): Python 3.4.5 released
  • 2016-06-27 (+158 days): Python 3.5.2 released
  • 2016-06-28 (+159 days): Python 2.7.12 released
  • 2016-09-02 (+225 days): CVE-2016-5636 published
  • 2016-09-14 (+237 days): commit d751040
  • 2016-12-23: Python 3.6.0 released